Bug 1032652 - RHEL 6 VM gets ac97 soundcard (osinfo overrides broken?)
RHEL 6 VM gets ac97 soundcard (osinfo overrides broken?)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3.0
Assigned To: Roy Golan
Pavel Novotny
virt
: Regression
Depends On:
Blocks: 3.3snap4
  Show dependency treegraph
 
Reported: 2013-11-20 09:25 EST by David Jaša
Modified: 2014-01-21 17:28 EST (History)
7 users (show)

See Also:
Fixed In Version: is26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21623 None None None Never
oVirt gerrit 21626 None None None Never

  None (edit)
Description David Jaša 2013-11-20 09:25:25 EST
Description of problem:
A VM of "RHEL 6 64b" OS type gets ac97 in spite of correct default osinfo settings:
grep 'rhel_6.*audio' /etc/ovirt-engine/osinfo.conf.d/00-defaults.properties 
os.rhel_6.devices.audio.value = ich6
os_rhel_6x64.devices.audio.value = ich6

the interesting thing is that for Windows XP, the reverse ich6 --> ac97 override works just fine. Otherwise the bug symptoms look similar to bug

Version-Release number of selected component (if applicable):
is23 / rhevm-backend-3.3.0-0.33.beta1.el6ev.noarch
(spotted on is21)

How reproducible:
always

Steps to Reproduce:
1. run a VM of RHEL 6 64bit os type
2. look at VM soundcard
3.

Actual results:
soundcard is ac97

Expected results:
soundcard should be ich6/intel-hda

Additional info:
Comment 1 Michal Skrivanek 2013-11-21 10:43:53 EST
well, works ok for RHEL 6 32bit, there's something rotten in here….
Comment 2 Roy Golan 2013-11-25 07:28:10 EST
the osinfo properties was badly formatted

os_rhel_6x64.devices.audio.value = ich6
os_rhel_6x64.devices.diskInterfaces

os_rhel instead of os.rhel

will create a sort of schema check in a different patch so we'll fail during compilation
Comment 3 Pavel Novotny 2013-12-09 12:22:05 EST
Verified in rhevm-3.3.0-0.38.rc.el6ev.noarch (is26 RC).

Verification steps:
1. Create and run VM with RHEL6x64 OS type.
2a. On host, check the soundcard type in the qemu process.
2b. On engine, check the OS info config file for RHEL6X64 values.

Results:
2a. Soundcard type is correct - Intel-HDA:
-device intel-hda,id=sound0,bus=pci.0,addr=0x3 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0

2b. Typo in the OS info config file is fixed:
# egrep 'os.*rhel_6x64' /etc/ovirt-engine/osinfo.conf.d/00-defaults.properties 
os.rhel_6x64.id.value = 19
os.rhel_6x64.name.value = Red Hat Enterprise Linux 6.x x64
os.rhel_6x64.derivedFrom.value = rhel_5x64
os.rhel_6x64.devices.audio.value = ich6
Comment 4 Itamar Heim 2014-01-21 17:23:34 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:24:37 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:28:16 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.